pluginManagement {
    repositories {
        google()
        mavenCentral()
        gradlePluginPortal()
        maven { url =java.net.URI.create("https://maven.google.com") }
        maven { url =java.net.URI.create("https://jitpack.io") }
    }
}

dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()
        gradlePluginPortal()
        maven { url=java.net.URI.create("https://maven.aliyun.com/repository/public") }
        maven {
            url =java.net.URI.create("https://mvn.getui.com/nexus/content/repositories/releases/")
        }
        maven { url =java.net.URI.create("https://jitpack.io") }

    }
}

rootProject.name = "MG231"

include(
    ":app",
    ":lib_base",
    ":lib_common",
    ":module_home"
)
include(":module_backstage")
include(":module_pay")
include(":module_database")
include(":serialport-api")
include(":serialportlib")


